Spaces method and path for this operation:
post /s/{space_id}/api/fleet/epm/packages/{pkgName}/{pkgVersion}/transforms/authorize
Refer to Spaces for more information.
Reauthorize Elasticsearch transforms installed by a package with secondary authorization headers.
POST
/api/fleet/epm/packages/{pkgName}/{pkgVersion}/transforms/authorize
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/epm/packages/{pkgName}/{pkgVersion}/transforms/authorize' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{"transforms":[{"destinations":[{"index":"logs-transform-dest"}],"transformId":"logs-transform-1"}]}'
Request example
Reauthorize transforms for a package
{
"transforms": [
{
"destinations": [
{
"index": "logs-transform-dest"
}
],
"transformId": "logs-transform-1"
}
]
}
Response examples (200)
Transforms successfully reauthorized
[
{
"success": true,
"transformId": "logs-transform-1"
}
]
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}